# Uses of Class
org.apache.qpid.proton.amqp.messaging.DeliveryAnnotations

Packages that use DeliveryAnnotations
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of DeliveryAnnotations in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type DeliveryAnnotations
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of DeliveryAnnotations in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return DeliveryAnnotations
Modifier and Type
Method
Description
`DeliveryAnnotations`
DeliveryAnnotationsType.`newInstance(Object described)`
`DeliveryAnnotations`
FastPathDeliveryAnnotationsType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type DeliveryAnnotations
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<DeliveryAnnotations>>`
FastPathDeliveryAnnotationsType.`getAllEncodings()`
`TypeEncoding<DeliveryAnnotations>`
FastPathDeliveryAnnotationsType.`getCanonicalEncoding()`
`TypeEncoding<DeliveryAnnotations>`
FastPathDeliveryAnnotationsType.`getEncoding(DeliveryAnnotations val)`
`Class<DeliveryAnnotations>`
DeliveryAnnotationsType.`getTypeClass()`
`Class<DeliveryAnnotations>`
FastPathDeliveryAnnotationsType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type DeliveryAnnotations
Modifier and Type
Method
Description
`TypeEncoding<DeliveryAnnotations>`
FastPathDeliveryAnnotationsType.`getEncoding(DeliveryAnnotations val)`
`protected Map`
DeliveryAnnotationsType.`wrap(DeliveryAnnotations val)`
`void`
FastPathDeliveryAnnotationsType.`write(DeliveryAnnotations val)`

## Uses of DeliveryAnnotations in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return DeliveryAnnotations
Modifier and Type
Method
Description
`DeliveryAnnotations`
Message.`getDeliveryAnnotations()`
Methods in org.apache.qpid.proton.message with parameters of type DeliveryAnnotations
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setDeliveryAnnotations(DeliveryAnnotations deliveryAnnotations)`

## Uses of DeliveryAnnotations in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return DeliveryAnnotations
Modifier and Type
Method
Description
`DeliveryAnnotations`
MessageImpl.`getDeliveryAnnotations()`
Methods in org.apache.qpid.proton.message.impl with parameters of type DeliveryAnnotations
Modifier and Type
Method
Description
`void`
MessageImpl.`setDeliveryAnnotations(DeliveryAnnotations deliveryAnnotations)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type DeliveryAnnotations
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`